{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"varg","colors":{"primary":"#6366F1","light":"#818CF8","dark":"#4F46E5"},"logo":{"light":"https://mintcdn.com/vargai/zXqiSRlI6Ucs30SP/logo/light.svg?fit=max\u0026auto=format\u0026n=zXqiSRlI6Ucs30SP\u0026q=85\u0026s=0cceec4fdf0144f327c9e64745254c58","dark":"https://mintcdn.com/vargai/zXqiSRlI6Ucs30SP/logo/dark.svg?fit=max\u0026auto=format\u0026n=zXqiSRlI6Ucs30SP\u0026q=85\u0026s=4e6978fc37965c951f846ee3fefc382b"},"favicon":"https://mintcdn.com/vargai/zXqiSRlI6Ucs30SP/favicon.svg?fit=max\u0026auto=format\u0026n=zXqiSRlI6Ucs30SP\u0026q=85\u0026s=8e374ac9e94bd40c3f7f07507a704dd8","navbar":{"links":[{"href":"https://app.varg.ai","label":"Dashboard"}],"primary":{"type":"button","label":"Get API Key","href":"https://app.varg.ai"}},"footer":{"socials":{"x":"https://x.com/vaborsh","github":"https://github.com/vargHQ"}},"contextual":{"options":["copy","view","chatgpt","claude","cursor","vscode"],"display":"header"},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"GitHub","icon":"github","href":"https://github.com/vargHQ/sdk"},{"anchor":"Discord","icon":"discord","href":"https://discord.gg/VAecJay7R9"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"vargai","hasAudioNarration":false,"actualSubdomain":"vargai","customDomains":["docs.varg.ai"],"gitSource":{"type":"github","owner":"varghq","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad796606e89f16d0374690b","collectionId":"e4746ea0-e668-46dc-aa68-8e29fe7a3341","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad796606e89f16d0374690b"},"feedback":{"thumbs":true,"issues":true},"entitlements":{},"buildId":"6ad7966a0b9b371cf43481a1","clientVersion":"0.0.4067","searchFilterCounts":[{"language":"default","tag":"API Reference","count":90},{"language":"default","tag":"Documentation","count":44},{"language":"default","tag":"Models","count":27},{"language":"default","tag":"Files","count":17},{"language":"default","tag":"Templates","count":14},{"language":"default","tag":"Account","count":11},{"language":"default","tag":"Jobs","count":10},{"language":"default","tag":"Image","count":9},{"language":"default","tag":"Generation","count":9},{"language":"default","tag":"Video","count":8}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/tools/list-tools","slug":"/api-reference/tools/list-tools","pageMetadata":{"title":"List tools","description":"List every registered tool (capability) with a short description. Auth is optional.","deprecated":null,"version":null,"openapi":"/openapi.yaml get /tools","href":"/api-reference/tools/list-tools","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"List every registered tool (capability) with a short description. Auth is optional.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List tools","description":"List every registered tool (capability) with a short description. Auth is optional.","deprecated":null,"version":null,"openapi":"/openapi.yaml get /tools","href":"/api-reference/tools/list-tools","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Tools"],"operationId":"listTools","summary":"List tools","description":"List every registered tool (capability) with a short description. Auth is optional.","security":["c98d81b7-451a-4f16-a400-a543465bce71","17d26af7-b06d-4910-9a75-d5ad3d49a5f8"],"responses":{"200":"8ff7ad7f-1c0b-4167-9dc4-96d308933ed3"},"method":"get","type":"path","servers":["6415ef2b-ead3-41a4-9bec-7b332113d6a8"],"path":"/tools","baseUrlOptions":["https://api.varg.ai/v2"],"title":"List tools","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"responses":{"8ff7ad7f-1c0b-4167-9dc4-96d308933ed3":{"description":"Tool list","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"tool_key":{"type":"string","example":"image","uniqueKey":"data.items.[INDEX].tool_key","typeLabel":"string"},"description":{"type":"string","example":"Generate images from text prompts","uniqueKey":"data.items.[INDEX].description","typeLabel":"string"}},"uniqueKey":"data.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":[{"tool_key":"image","description":"Generate images from text prompts"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"c98d81b7-451a-4f16-a400-a543465bce71":{},"17d26af7-b06d-4910-9a75-d5ad3d49a5f8":{"bearerAuth":{"type":"http","scheme":"bearer","description":"varg API key (`varg_...`). Get one at [app.varg.ai](https://app.varg.ai)\nor run `bunx vargai login`. App sessions may alternatively send a\nSupabase JWT.\n","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"6415ef2b-ead3-41a4-9bec-7b332113d6a8":{"url":"https://api.varg.ai/v2"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"varg API key (`varg_...`). Get one at [app.varg.ai](https://app.varg.ai)\nor run `bunx vargai login`. App sessions may alternatively send a\nSupabase JWT.\n","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"varg API key (`varg_...`). Get one at [app.varg.ai](https://app.varg.ai)\nor run `bunx vargai login`. App sessions may alternatively send a\nSupabase JWT.\n","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.yaml"},"subdomain":"vargai","siteName":"varg","title":"List tools - varg","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-20T16:27:17.590Z","originalFileLocation":"api-reference/tools/list-tools.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List every registered tool (capability) with a short description. Auth is optional.\">\u003cmeta data-mint-head name=\"application-name\" content=\"varg\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/vargai/LJMR_3vGQnsy6v-B/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/vargai/LJMR_3vGQnsy6v-B/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/vargai/LJMR_3vGQnsy6v-B/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/vargai/LJMR_3vGQnsy6v-B/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/vargai/LJMR_3vGQnsy6v-B/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/vargai/LJMR_3vGQnsy6v-B/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/vargai/LJMR_3vGQnsy6v-B/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/vargai/LJMR_3vGQnsy6v-B/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/vargai/LJMR_3vGQnsy6v-B/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List tools - varg\">\u003cmeta data-mint-head property=\"og:description\" content=\"List every registered tool (capability) with a short description. Auth is optional.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"varg\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.varg.ai/api-reference/tools/list-tools\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://vargai.mintlify.app/_mintlify/api/og/v2?division=Tools\u0026amp;title=List+tools\u0026amp;description=List+every+registered+tool+%28capability%29+with+a+short+description.+Auth+is+optional.\u0026amp;theme=8e4322200b2c6ec3222c2f2d\u0026amp;signature=fb99025ca63bcfcc55df2ef91eeae52833b0bc98ad4deb55bb776dc1ea450459\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List tools - varg\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List every registered tool (capability) with a short description. Auth is optional.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://vargai.mintlify.app/_mintlify/api/og/v2?division=Tools\u0026amp;title=List+tools\u0026amp;description=List+every+registered+tool+%28capability%29+with+a+short+description.+Auth+is+optional.\u0026amp;theme=8e4322200b2c6ec3222c2f2d\u0026amp;signature=fb99025ca63bcfcc55df2ef91eeae52833b0bc98ad4deb55bb776dc1ea450459\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/vargai/LJMR_3vGQnsy6v-B/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"varg\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#6366F1\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.varg.ai/api-reference/tools/list-tools\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/tools/list-tools.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.varg.ai/#organization\",\"name\":\"varg\",\"url\":\"https://docs.varg.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/vargai/zXqiSRlI6Ucs30SP/logo/light.svg?fit=max\u0026auto=format\u0026n=zXqiSRlI6Ucs30SP\u0026q=85\u0026s=0cceec4fdf0144f327c9e64745254c58\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.varg.ai#website\",\"name\":\"varg\",\"url\":\"https://docs.varg.ai\",\"publisher\":{\"@id\":\"https://docs.varg.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.varg.ai/api-reference/tools/list-tools#webpage\",\"url\":\"https://docs.varg.ai/api-reference/tools/list-tools\",\"name\":\"List tools\",\"description\":\"List every registered tool (capability) with a short description. Auth is optional.\",\"dateModified\":\"2026-10-20T16:27:17.590Z\",\"isPartOf\":{\"@id\":\"https://docs.varg.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.varg.ai/api-reference/tools/list-tools#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.varg.ai/api-reference/tools/list-tools#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"varg\",\"item\":\"https://docs.varg.ai\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List tools\",\"item\":\"https://docs.varg.ai/api-reference/tools/list-tools\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.varg.ai/api-reference/tools/list-tools#apireference\",\"headline\":\"List tools\",\"name\":\"List tools\",\"description\":\"List every registered tool (capability) with a short description. Auth is optional.\",\"url\":\"https://docs.varg.ai/api-reference/tools/list-tools\",\"mainEntityOfPage\":{\"@id\":\"https://docs.varg.ai/api-reference/tools/list-tools#webpage\"},\"dateModified\":\"2026-10-20T16:27:17.590Z\",\"publisher\":{\"@id\":\"https://docs.varg.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.varg.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"varg\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"varg","nav":{"global":{"anchors":[{"anchor":"GitHub","icon":"github","href":"https://github.com/vargHQ/sdk"},{"anchor":"Discord","icon":"discord","href":"https://discord.gg/VAecJay7R9"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":""}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"varg API","href":"/api"},{"title":"OpenAPI spec","href":"/api/openapi"},{"title":"Folders","href":"/api/folders"},{"title":"Render API","href":"/render-api/index"}]},{"group":"Presets","pages":[{"title":"Presets","href":"/api/presets"},{"title":"List presets","deprecated":null,"version":null,"openapi":"/openapi.yaml get /presets","href":"/api-reference/presets/list-presets"},{"title":"Get preset filter axes","deprecated":null,"version":null,"openapi":"/openapi.yaml get /presets/filters","href":"/api-reference/presets/get-preset-filter-axes"},{"title":"Get a preset","deprecated":null,"version":null,"openapi":"/openapi.yaml get /presets/{id}","href":"/api-reference/presets/get-a-preset"},{"title":"Apply presets to a request body","deprecated":null,"version":null,"openapi":"/openapi.yaml post /presets/apply","href":"/api-reference/presets/apply-presets-to-a-request-body"},{"title":"Recommend presets for an intent","deprecated":null,"version":null,"openapi":"/openapi.yaml post /presets/recommend","href":"/api-reference/presets/recommend-presets-for-an-intent"}]},{"group":"Generation","pages":[{"title":"Generate an image","deprecated":null,"version":null,"openapi":"/openapi.yaml post /image","href":"/api-reference/generation/generate-an-image"},{"title":"Generate a video","deprecated":null,"version":null,"openapi":"/openapi.yaml post /video","href":"/api-reference/generation/generate-a-video"},{"title":"Analyze a video","deprecated":null,"version":null,"openapi":"/openapi.yaml post /video/analyze","href":"/api-reference/generation/analyze-a-video"},{"title":"Generate speech (TTS)","deprecated":null,"version":null,"openapi":"/openapi.yaml post /speech","href":"/api-reference/generation/generate-speech-tts"},{"title":"Generate music","deprecated":null,"version":null,"openapi":"/openapi.yaml post /music","href":"/api-reference/generation/generate-music"},{"title":"Transcribe audio","deprecated":null,"version":null,"openapi":"/openapi.yaml post /transcription","href":"/api-reference/generation/transcribe-audio"},{"title":"Run an ffmpeg operation","deprecated":null,"version":null,"openapi":"/openapi.yaml post /ffmpeg","href":"/api-reference/generation/run-an-ffmpeg-operation"},{"title":"Render TSX to video","deprecated":null,"version":null,"openapi":"/openapi.yaml post /render","href":"/api-reference/generation/render-tsx-to-video"},{"title":"Run a custom pipeline","description":"Run a registered multi-step pipeline (e.g. `v2vStitch`). Pipelines are\naccess-gated per account — contact varg to get access to a pipeline.\nThe `model` field is the pipeline name; remaining fields are defined by\nthe pipeline's own input schema (discover it via\n`GET /tools/pipeline?model=\u003cname>`).\n","deprecated":null,"version":null,"openapi":"/openapi.yaml post /pipeline","href":"/api-reference/generation/run-a-custom-pipeline"}]},{"group":"Tools","pages":[{"title":"List tools","deprecated":null,"version":null,"openapi":"/openapi.yaml get /tools","href":"/api-reference/tools/list-tools"},{"title":"Get tool metadata","description":"Full metadata for one tool: JSON Schema for its input, output shape,\nand a worked example. Auth is optional. Pass `?model=\u003cmodel>` to enrich `provider_options`\nwith the explicit per-provider schema for that model (instead of the\ngeneric passthrough bag).\n","deprecated":null,"version":null,"openapi":"/openapi.yaml get /tools/{tool_key}","href":"/api-reference/tools/get-tool-metadata"},{"title":"Call a tool generically","deprecated":null,"version":null,"openapi":"/openapi.yaml post /tools/{tool_key}/call","href":"/api-reference/tools/call-a-tool-generically"},{"title":"List a tool's models","deprecated":null,"version":null,"openapi":"/openapi.yaml get /tools/{tool_key}/models","href":"/api-reference/tools/list-a-tools-models"},{"title":"List models","deprecated":null,"version":null,"openapi":"/openapi.yaml get /models","href":"/api-reference/tools/list-models"}]},{"group":"Jobs","pages":[{"title":"List jobs","deprecated":null,"version":null,"openapi":"/openapi.yaml get /jobs","href":"/api-reference/jobs/list-jobs"},{"title":"Get a job","deprecated":null,"version":null,"openapi":"/openapi.yaml get /jobs/{id}","href":"/api-reference/jobs/get-a-job"},{"title":"Get job status (lightweight)","deprecated":null,"version":null,"openapi":"/openapi.yaml get /jobs/{id}/status","href":"/api-reference/jobs/get-job-status-lightweight"},{"title":"Get job pricing breakdown","deprecated":null,"version":null,"openapi":"/openapi.yaml get /jobs/{id}/price","href":"/api-reference/jobs/get-job-pricing-breakdown"},{"title":"Refresh a job","deprecated":null,"version":null,"openapi":"/openapi.yaml post /jobs/{id}/refresh","href":"/api-reference/jobs/refresh-a-job"},{"title":"Cancel a job","deprecated":null,"version":null,"openapi":"/openapi.yaml post /jobs/{id}/cancel","href":"/api-reference/jobs/cancel-a-job"},{"title":"Retry a failed job","deprecated":null,"version":null,"openapi":"/openapi.yaml post /jobs/{id}/retry","href":"/api-reference/jobs/retry-a-failed-job"},{"title":"Get what a job and its run were charged","deprecated":null,"version":null,"openapi":"/openapi.yaml get /jobs/{id}/cost","href":"/api-reference/jobs/get-what-a-job-and-its-run-were-charged"},{"title":"Approve, retry or reject a paused job","deprecated":null,"version":null,"openapi":"/openapi.yaml post /jobs/{id}/confirm","href":"/api-reference/jobs/approve-retry-or-reject-a-paused-job"},{"title":"Re-run a finished pipeline job from a later step","deprecated":null,"version":null,"openapi":"/openapi.yaml post /jobs/{id}/rerun","href":"/api-reference/jobs/re-run-a-finished-pipeline-job-from-a-later-step"}]},{"group":"Files","pages":[{"title":"Upload a file","deprecated":null,"version":null,"openapi":"/openapi.yaml post /files","href":"/api-reference/files/upload-a-file"},{"title":"List files","deprecated":null,"version":null,"openapi":"/openapi.yaml get /files","href":"/api-reference/files/list-files"},{"title":"Import a file by URL","deprecated":null,"version":null,"openapi":"/openapi.yaml post /files/import","href":"/api-reference/files/import-a-file-by-url"},{"title":"Probe a URL's media metadata","deprecated":null,"version":null,"openapi":"/openapi.yaml post /files/probe","href":"/api-reference/files/probe-a-urls-media-metadata"},{"title":"Check for an existing file by hash","deprecated":null,"version":null,"openapi":"/openapi.yaml get /files/check","href":"/api-reference/files/check-for-an-existing-file-by-hash"},{"title":"Get file metadata","deprecated":null,"version":null,"openapi":"/openapi.yaml get /files/{id}","href":"/api-reference/files/get-file-metadata"},{"title":"Delete a file","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /files/{id}","href":"/api-reference/files/delete-a-file"},{"title":"Rate or comment on a file","deprecated":null,"version":null,"openapi":"/openapi.yaml post /files/{id}/feedback","href":"/api-reference/files/rate-or-comment-on-a-file"},{"title":"List feedback for a file","deprecated":null,"version":null,"openapi":"/openapi.yaml get /files/{id}/feedback","href":"/api-reference/files/list-feedback-for-a-file"},{"title":"Remove your rating on a file","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /files/{id}/feedback","href":"/api-reference/files/remove-your-rating-on-a-file"},{"title":"Start a large file upload","deprecated":null,"version":null,"openapi":"/openapi.yaml post /files/upload-session","href":"/api-reference/files/start-a-large-file-upload"},{"title":"Upload bytes to an upload session","deprecated":null,"version":null,"openapi":"/openapi.yaml put /files/upload/{session_id}","href":"/api-reference/files/upload-bytes-to-an-upload-session"},{"title":"List files with lineage","deprecated":null,"version":null,"openapi":"/openapi.yaml get /resources/files","href":"/api-reference/files/list-files-with-lineage"},{"title":"Get a file with lineage","deprecated":null,"version":null,"openapi":"/openapi.yaml get /resources/files/{id}","href":"/api-reference/files/get-a-file-with-lineage"},{"title":"Rename a file","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /resources/files/{id}","href":"/api-reference/files/rename-a-file"},{"title":"Favorite or unfavorite a file","deprecated":null,"version":null,"openapi":"/openapi.yaml post /resources/files/{id}/favorite","href":"/api-reference/files/favorite-or-unfavorite-a-file"},{"title":"Resolve a file to the job that created it","deprecated":null,"version":null,"openapi":"/openapi.yaml post /lineage","href":"/api-reference/lineage/resolve-a-file-to-the-job-that-created-it"}]},{"group":"Folders","pages":[{"title":"List folders","deprecated":null,"version":null,"openapi":"/openapi.yaml get /workspaces","href":"/api-reference/folders/list-folders"},{"title":"Create a folder","deprecated":null,"version":null,"openapi":"/openapi.yaml post /workspaces","href":"/api-reference/folders/create-a-folder"},{"title":"Get a folder","deprecated":null,"version":null,"openapi":"/openapi.yaml get /workspaces/{id}","href":"/api-reference/folders/get-a-folder"},{"title":"Rename a folder or change its slug","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /workspaces/{id}","href":"/api-reference/folders/rename-a-folder-or-change-its-slug"},{"title":"List files in a folder","deprecated":null,"version":null,"openapi":"/openapi.yaml get /workspaces/{id}/files","href":"/api-reference/folders/list-files-in-a-folder"},{"title":"Add files to a folder","deprecated":null,"version":null,"openapi":"/openapi.yaml post /workspaces/{id}/files","href":"/api-reference/folders/add-files-to-a-folder"},{"title":"Remove a file from a folder","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /workspaces/{id}/files/{file_id}","href":"/api-reference/folders/remove-a-file-from-a-folder"}]},{"group":"Templates","pages":[{"title":"Browse and search templates","deprecated":null,"version":null,"openapi":"/openapi.yaml get /templates","href":"/api-reference/templates/browse-and-search-templates"},{"title":"List template tags","deprecated":null,"version":null,"openapi":"/openapi.yaml get /templates/tags","href":"/api-reference/templates/list-template-tags"},{"title":"Get a template","deprecated":null,"version":null,"openapi":"/openapi.yaml get /templates/{id}","href":"/api-reference/templates/get-a-template"},{"title":"Increment the use counter","deprecated":null,"version":null,"openapi":"/openapi.yaml post /templates/{id}/use","href":"/api-reference/templates/increment-the-use-counter"},{"title":"Render a template to video","deprecated":null,"version":null,"openapi":"/openapi.yaml post /templates/{id}/render","href":"/api-reference/templates/render-a-template-to-video"},{"title":"Publish a document as a template","deprecated":null,"version":null,"openapi":"/openapi.yaml post /templates","href":"/api-reference/templates/publish-a-document-as-a-template"},{"title":"Withdraw a template","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /templates/{id}","href":"/api-reference/templates/withdraw-a-template"},{"title":"List your templates","deprecated":null,"version":null,"openapi":"/openapi.yaml get /templates/my","href":"/api-reference/templates/list-your-templates"},{"title":"List your favorite templates","deprecated":null,"version":null,"openapi":"/openapi.yaml get /templates/favorites","href":"/api-reference/templates/list-your-favorite-templates"},{"title":"Toggle favorite","deprecated":null,"version":null,"openapi":"/openapi.yaml post /templates/{id}/favorite","href":"/api-reference/templates/toggle-favorite"}]},{"group":"Pricing \u0026 Billing","pages":[{"title":"Estimate a price without creating a job","deprecated":null,"version":null,"openapi":"/openapi.yaml post /estimate","href":"/api-reference/pricing/estimate-a-price-without-creating-a-job"},{"title":"Get the price catalog (public)","deprecated":null,"version":null,"openapi":"/openapi.yaml get /pricing","href":"/api-reference/pricing/get-the-price-catalog-public"},{"title":"Get balance","deprecated":null,"version":null,"openapi":"/openapi.yaml get /billing/balance","href":"/api-reference/billing/get-balance"},{"title":"Get usage records","deprecated":null,"version":null,"openapi":"/openapi.yaml get /billing/usage","href":"/api-reference/billing/get-usage-records"},{"title":"Get transaction ledger","deprecated":null,"version":null,"openapi":"/openapi.yaml get /billing/transactions","href":"/api-reference/billing/get-transaction-ledger"}]},{"group":"Analytics","pages":[{"title":"Spend summary","deprecated":null,"version":null,"openapi":"/openapi.yaml get /analytics/summary","href":"/api-reference/analytics/spend-summary"},{"title":"Spend over time","deprecated":null,"version":null,"openapi":"/openapi.yaml get /analytics/timeseries","href":"/api-reference/analytics/spend-over-time"},{"title":"Spend breakdown","deprecated":null,"version":null,"openapi":"/openapi.yaml get /analytics/breakdown","href":"/api-reference/analytics/spend-breakdown"},{"title":"List charges or runs","deprecated":null,"version":null,"openapi":"/openapi.yaml get /analytics/activity","href":"/api-reference/analytics/list-charges-or-runs"},{"title":"Files generated over time","deprecated":null,"version":null,"openapi":"/openapi.yaml get /analytics/files","href":"/api-reference/analytics/files-generated-over-time"},{"title":"Analytics definitions","deprecated":null,"version":null,"openapi":"/openapi.yaml get /analytics/meta","href":"/api-reference/analytics/analytics-definitions"}]},{"group":"Account","pages":[{"title":"Get the authenticated account","deprecated":null,"version":null,"openapi":"/openapi.yaml get /me","href":"/api-reference/account/get-the-authenticated-account"},{"title":"List API keys","deprecated":null,"version":null,"openapi":"/openapi.yaml get /api-keys","href":"/api-reference/account/list-api-keys"},{"title":"Create an API key","deprecated":null,"version":null,"openapi":"/openapi.yaml post /api-keys","href":"/api-reference/account/create-an-api-key"},{"title":"Rename an API key","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /api-keys/{id}","href":"/api-reference/account/rename-an-api-key"},{"title":"Revoke an API key","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /api-keys/{id}","href":"/api-reference/account/revoke-an-api-key"},{"title":"Reveal an API key","deprecated":null,"version":null,"openapi":"/openapi.yaml post /api-keys/{id}/reveal","href":"/api-reference/account/reveal-an-api-key"},{"title":"List who an API key is shared with","deprecated":null,"version":null,"openapi":"/openapi.yaml get /api-keys/{id}/shares","href":"/api-reference/account/list-who-an-api-key-is-shared-with"},{"title":"Share an API key","deprecated":null,"version":null,"openapi":"/openapi.yaml post /api-keys/{id}/shares","href":"/api-reference/account/share-an-api-key"},{"title":"Remove someone from an API key","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /api-keys/{id}/shares/{userId}","href":"/api-reference/account/remove-someone-from-an-api-key"},{"title":"Get a connection's team binding","deprecated":null,"version":null,"openapi":"/openapi.yaml get /me/connection","href":"/api-reference/account/get-a-connections-team-binding"},{"title":"Set a connection's team binding","deprecated":null,"version":null,"openapi":"/openapi.yaml put /me/connection","href":"/api-reference/account/set-a-connections-team-binding"}]}]}]},"basePath":"","title":"List tools - varg","buildId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","deploymentId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DX1Meug0.js","utils-B_OMIQVC.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-ChxhRPMa.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CuKvD8Iv.js","snippetPresets-C5d7p2hp.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CfHcE8m4.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C1zZV314.js","shallow-CmQhqCJn.js","getApiPlaygroundDisplay-YRo9s1O7.js","CodeSnippet-RN1MTdfk.js","CodeSnippets-DKLPHxJA.js","Page-BAvA99GL.js","getPastedJson-bz0M41mU.js","icon-CsmhpPrv.js","MethodPill-CNGsVE77.js","DuplicateIcon-DilfU_Z2.js","createIcon-BdsYzQck.js","DynamicMarkdown-CbqEDjbV.js","SectionHeading-O6hXpFCN.js","axios-vUo_bRtp.js","Markdown-nKm-uidQ.js","clsx-ClVdStUn.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CIQkMg3R.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-ImrFS4Fy.js"]}